PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_cpocon | ( | PLASMA_enum | uplo,
|  | int | N,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | float | Anorm,
|  | float * | rcond
| ) |  |

PLASMA_cpocon - estimates the reciprocal of the condition number (in the 1-norm) of a complex Hermitian positive definite matrix using the Cholesky factorization A = U**H*U or A = L*L**H computed by PLASMA_cpotrf().

An estimate is obtained for norm(inv(A)), and the reciprocal of the condition number is computed as

\[ rcond = \frac{1}{\|\|A\-\| \times \-\|A^{-1}\|\|} \]

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | N | The order of the matrix A. N >= 0.
  [in] | A | The N-by-N matrix A.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in] | Anorm | If norm = PlasmaOneNorm, the 1-norm of the original matrix A. If norm = PlasmaInfNorm, the infinity-norm of the original matrix A.
  [out] | rcond | The reciprocal of the condition number of the matrix A, computed as stated above.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_cpocon_Tile
  PLASMA_cpocon_Tile_Async
  PLASMA_cpocon
  PLASMA_dpocon
  PLASMA_spocon